Page MenuHomePhabricator

Implement UnDeserializableValue ::toJSON and newFromJSON in DataValuesJavascript
Closed, ResolvedPublic1 Story Points

Description

these are not implemented yet and throw an error. We are hitting these errors on Wikidata on some items with these values.

This especially happens with values that are for some reason valid or can be handled in the backend but not in the frontend. An example of this is a time value with precision higher than a day.

also, the implementation of this value stores a JavaScript Error object for _unserializeError. In the php implementation, this part of the value is just a string (the error message). We may want to make that consistent, and would more simple to implement toJSON and newFromJSON for the value and to interact with backend code via the api.

Event Timeline

aude created this task.Apr 22 2015, 6:35 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2015, 6:35 PM
Lydia_Pintscher triaged this task as Normal priority.Apr 29 2015, 1:17 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added a subscriber: thiemowmde.
aude claimed this task.May 18 2015, 7:31 PM
aude moved this task from Backlog to Review on the Wikidata-Sprint-2015-05-05 board.
Tobi_WMDE_SW edited a custom field.May 25 2015, 11:08 AM
thiemowmde closed this task as Resolved.Jun 1 2015, 6:45 PM